org.apache.ignite.internal.processors.cache

## Class GridCacheSharedManagerAdapter<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter<K,V>

All Implemented Interfaces:
  GridCacheSharedManager<K,V>

Direct Known Subclasses:
  CacheAffinitySharedManager, CacheJtaManagerAdapter, GridCacheDeploymentManager, GridCacheIoManager, GridCacheMvccManager, GridCachePartitionExchangeManager, GridCacheSharedTtlCleanupManager, GridCacheVersionManager, IgniteTxManager

    public class GridCacheSharedManagerAdapter<K,V>
    extends Object
    implements GridCacheSharedManager<K,V>

Convenience adapter for cache managers.

### Field Summary

Fields
`protected GridCacheSharedContext<K,V>` `cctx` Context.
`protected IgniteLogger` `log` Logger.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheSharedManagerAdapter()`

### Method Summary

Methods
`protected GridCacheSharedContext<K,V>` `context()`
`protected String` `kernalStartInfo()`
`protected String` `kernalStopInfo()`
`protected IgniteLogger` `log()`
`void` `onDisconnected(IgniteFuture<?> reconnectFut)`
`void` `onKernalStart(boolean reconnect)`
`protected void` `onKernalStart0(boolean reconnect)`
`void` `onKernalStop(boolean cancel)`
`protected void` `onKernalStop0(boolean cancel)`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `start(GridCacheSharedContext<K,V> cctx)` Starts manager.
`protected void` `start0()`
`protected String` `startInfo()`
`void` `stop(boolean cancel)` Stops manager.
`protected void` `stop0(boolean cancel)`
`protected String` `stopInfo()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cctx

    protected GridCacheSharedContext<K,V> cctx

Context.

#### log

    protected IgniteLogger log

Logger.

### Constructor Detail

#### GridCacheSharedManagerAdapter

    public GridCacheSharedManagerAdapter()

### Method Detail

#### start

    public final void start(GridCacheSharedContext<K,V> cctx)
                     throws IgniteCheckedException

Starts manager.

Specified by:
  `start` in interface `GridCacheSharedManager<K,V>`
Parameters:
  `cctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### log

    protected IgniteLogger log()

Returns:
  Logger.

#### context

    protected GridCacheSharedContext<K,V> context()

Returns:
  Context.

#### start0

    protected void start0()
                   throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### stop

    public final void stop(boolean cancel)

Stops manager.

Specified by:
  `stop` in interface `GridCacheSharedManager<K,V>`
Parameters:
  `cancel` - Cancel flag.

#### stop0

    protected void stop0(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### onKernalStart

    public final void onKernalStart(boolean reconnect)
                             throws IgniteCheckedException

Specified by:
  `onKernalStart` in interface `GridCacheSharedManager<K,V>`
Parameters:
  `reconnect` - `True` if manager restarted after client reconnect.
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop

    public final void onKernalStop(boolean cancel)

Specified by:
  `onKernalStop` in interface `GridCacheSharedManager<K,V>`
Parameters:
  `cancel` - Cancel flag.

#### onKernalStart0

    protected void onKernalStart0(boolean reconnect)
                           throws IgniteCheckedException

Parameters:
  `reconnect` - `True` if manager restarted after client reconnect.
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Parameters:
  `cancel` - Cancel flag.

#### onDisconnected

    public void onDisconnected(IgniteFuture<?> reconnectFut)

Specified by:
  `onDisconnected` in interface `GridCacheSharedManager<K,V>`
Parameters:
  `reconnectFut` - Reconnect future.

#### printMemoryStats

    public void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

Specified by:
  `printMemoryStats` in interface `GridCacheSharedManager<K,V>`

#### startInfo

    protected String startInfo()

Returns:
  Start info.

#### stopInfo

    protected String stopInfo()

Returns:
  Stop info.

#### kernalStartInfo

    protected String kernalStartInfo()

Returns:
  Start info.

#### kernalStopInfo

    protected String kernalStopInfo()

Returns:
  Stop info.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016